Error
A valid request URL is required to generate request examples{
"totalBatches": 123,
"totalSuccessfulPayments": 123,
"totalFailedPayments": 123,
"averageBatchSize": 123,
"successRate": 123,
"currencyBreakdown": {
"KES": {
"totalAmount": 50000,
"totalBatches": 3,
"totalPayments": 25
},
"ZMW": {
"totalAmount": 15000,
"totalBatches": 1,
"totalPayments": 10
}
}
}Bulk Payments
Get Bulk Payment Statistics
GET
/
api
/
v3
/
dashboard
/
bulk-payments
/
api
/
stats
Error
A valid request URL is required to generate request examples{
"totalBatches": 123,
"totalSuccessfulPayments": 123,
"totalFailedPayments": 123,
"averageBatchSize": 123,
"successRate": 123,
"currencyBreakdown": {
"KES": {
"totalAmount": 50000,
"totalBatches": 3,
"totalPayments": 25
},
"ZMW": {
"totalAmount": 15000,
"totalBatches": 1,
"totalPayments": 10
}
}
}Get statistics and analytics for bulk payments.
Query Parameters
Page number
Items per page
Filter by status
Filter by currency
Available options:
KES, GHS, NGN, ZAR, ZAR, USD, XOF, ZMW, XAF, SLE, CDF, TZS, UGX, EGP, MWK, RWF, ETB, MZN, LSL, GNF, USDT, BTC, ETH, USDC Response
200 - application/json
Bulk payment statistics retrieved successfully
Total batches
Total successful payments
Total failed payments
Average batch size
Success rate percentage
Currency breakdown
Example:
{
"KES": {
"totalAmount": 50000,
"totalBatches": 3,
"totalPayments": 25
},
"ZMW": {
"totalAmount": 15000,
"totalBatches": 1,
"totalPayments": 10
}
}